<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_121) on Sat Mar 18 22:04:46 ADT 2017 -->
<title>ComputeWordFrequency</title>
<meta name="date" content="2017-03-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ComputeWordFrequency";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../WordFrequencyCalculator/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComputeWordFrequency.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../WordFrequencyCalculator/ComputeWordFrequencyTest.html" title="class in WordFrequencyCalculator"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?WordFrequencyCalculator/ComputeWordFrequency.html" target="_top">Frames</a></li>
<li><a href="ComputeWordFrequency.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">WordFrequencyCalculator</div>
<h2 title="Class ComputeWordFrequency" class="title">Class ComputeWordFrequency</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>WordFrequencyCalculator.ComputeWordFrequency</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../WordFrequencyCalculator/WordCount.html" title="interface in WordFrequencyCalculator">WordCount</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ComputeWordFrequency</span>
extends java.lang.Object
implements <a href="../WordFrequencyCalculator/WordCount.html" title="interface in WordFrequencyCalculator">WordCount</a></pre>
<div class="block">This class counts occurrences of words from a text file.
  Noteworthy Features: 
 <ul>
 <li>Identifies the top occurrence of words
 <li>Identifies the least occurrence of words
 <li>Generates .csv file listing all words by its rank
 </ul></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Asok Kalidass Kalisamy (B00763356)</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../WordFrequencyCalculator/ComputeWordFrequency.html#ComputeWordFrequency-java.util.HashMap-">ComputeWordFrequency</a></span>(java.util.HashMap&lt;java.lang.String,java.lang.Integer&gt;&nbsp;wordFrequency)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../WordFrequencyCalculator/ComputeWordFrequency.html#generateFile-java.util.List-">generateFile</a></span>(java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Integer&gt;&gt;&nbsp;wordFrequency)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Integer&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../WordFrequencyCalculator/ComputeWordFrequency.html#highFrequencyWordsByDesc--">highFrequencyWordsByDesc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Integer&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../WordFrequencyCalculator/ComputeWordFrequency.html#leastFrequencyWordsByAsc--">leastFrequencyWordsByAsc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../WordFrequencyCalculator/ComputeWordFrequency.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../WordFrequencyCalculator/ComputeWordFrequency.html#processFile-java.lang.String-">processFile</a></span>(java.lang.String&nbsp;filePath)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ComputeWordFrequency-java.util.HashMap-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ComputeWordFrequency</h4>
<pre>public&nbsp;ComputeWordFrequency(java.util.HashMap&lt;java.lang.String,java.lang.Integer&gt;&nbsp;wordFrequency)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
<a name="processFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processFile</h4>
<pre>public&nbsp;void&nbsp;processFile(java.lang.String&nbsp;filePath)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../WordFrequencyCalculator/WordCount.html#processFile-java.lang.String-">processFile</a></code>&nbsp;in interface&nbsp;<code><a href="../WordFrequencyCalculator/WordCount.html" title="interface in WordFrequencyCalculator">WordCount</a></code></dd>
</dl>
</li>
</ul>
<a name="highFrequencyWordsByDesc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>highFrequencyWordsByDesc</h4>
<pre>public&nbsp;java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Integer&gt;&gt;&nbsp;highFrequencyWordsByDesc()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../WordFrequencyCalculator/WordCount.html#highFrequencyWordsByDesc--">highFrequencyWordsByDesc</a></code>&nbsp;in interface&nbsp;<code><a href="../WordFrequencyCalculator/WordCount.html" title="interface in WordFrequencyCalculator">WordCount</a></code></dd>
</dl>
</li>
</ul>
<a name="leastFrequencyWordsByAsc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>leastFrequencyWordsByAsc</h4>
<pre>public&nbsp;java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Integer&gt;&gt;&nbsp;leastFrequencyWordsByAsc()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../WordFrequencyCalculator/WordCount.html#leastFrequencyWordsByAsc--">leastFrequencyWordsByAsc</a></code>&nbsp;in interface&nbsp;<code><a href="../WordFrequencyCalculator/WordCount.html" title="interface in WordFrequencyCalculator">WordCount</a></code></dd>
</dl>
</li>
</ul>
<a name="generateFile-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateFile</h4>
<pre>public&nbsp;void&nbsp;generateFile(java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Integer&gt;&gt;&nbsp;wordFrequency)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../WordFrequencyCalculator/WordCount.html#generateFile-java.util.List-">generateFile</a></code>&nbsp;in interface&nbsp;<code><a href="../WordFrequencyCalculator/WordCount.html" title="interface in WordFrequencyCalculator">WordCount</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../WordFrequencyCalculator/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ComputeWordFrequency.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../WordFrequencyCalculator/ComputeWordFrequencyTest.html" title="class in WordFrequencyCalculator"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?WordFrequencyCalculator/ComputeWordFrequency.html" target="_top">Frames</a></li>
<li><a href="ComputeWordFrequency.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
